### R code from vignette source 'lcc_1.Rnw'

###################################################
### code chunk number 1: lcc_1.Rnw:19-21
###################################################
options(prompt="> ", continue="+ ", digits=5, width=65, show.signif.stars=T)
par(mfrow=c(1,1))


###################################################
### code chunk number 2: lcc_1.Rnw:42-45
###################################################
(ct <- table(changed, lspos))
summary(ct)
(cs <- chisq.test(ct))


###################################################
### code chunk number 3: lcc_1.Rnw:50-51
###################################################
round(cs$expected)


###################################################
### code chunk number 4: lcc_1.Rnw:56-57
###################################################
ct - round(cs$expected)


###################################################
### code chunk number 5: lcc_1.Rnw:86-87
###################################################
(ct.p <- round(t(t(ct)/apply(ct,2,sum)),2))


###################################################
### code chunk number 6: lcc_1.Rnw:133-146
###################################################
par(mfrow=c(2,2))
col.vec <- c("gray10", "gray60")
barplot(ct, col=col.vec, main="Frequency of deforestation",
   xlab="Landscape position")
barplot(ct, beside=T, col=col.vec, main="Frequency of deforestation",
   xlab="Landscape position")
col.vec <- c("lavender", "cornsilk")
barplot(ct.p, col=col.vec, main="Proportion of deforestation",
   xlab="Landscape position")
barplot(ct.p, beside=T, col=col.vec,
   main="Proportion of deforestation", xlab="Landscape position")
par(mfrow=c(1,1))
rm(col.vec)


###################################################
### code chunk number 7: lcc_1.Rnw:252-254
###################################################
logit <- function(x) log(x/(1-x))
logit.inv <- function(x) 1/(1+exp(-x))


###################################################
### code chunk number 8: lcc_1.Rnw:260-263
###################################################
(x <- seq(0.02, 0.98, by=0.04))
logit(x)
logit.inv(logit(x))


###################################################
### code chunk number 9: lcc_1.Rnw:269-272
###################################################
x <- seq(0.01, 0.99, by=0.01)
plot(x,logit(x),type="l", main="Logistic curve")
abline(h=0, lty=2); abline(v=0.5, lty=2)


###################################################
### code chunk number 10: lcc_1.Rnw:284-286
###################################################
glm.lspos <- glm(changed ~ lspos, family=binomial, data=dc)
summary(glm.lspos)


###################################################
### code chunk number 11: lcc_1.Rnw:308-310
###################################################
d2 <- function(model) { round(1-(model$deviance/model$null.deviance),4) }
d2(glm.lspos)


