### R code from vignette source 'lcc_2a.Rnw'

###################################################
### code chunk number 1: lcc_2a.Rnw:18-20
###################################################
options(prompt="> ", continue="+ ", digits=5, width=65, show.signif.stars=T)
par(mfrow=c(1,1))


###################################################
### code chunk number 2: lcc_2a.Rnw:31-35
###################################################
summary(dset$ds); summary(dset$dr)
par(mfrow=c(1,2))
hist(dset$ds); hist(dset$dr)
par(mfrow=c(1,1))


###################################################
### code chunk number 3: lcc_2a.Rnw:41-46
###################################################
ds.l<-log(dset$ds+30); dr.l<-log(dset$dr+30)
summary(ds.l); summary(dr.l)
par(mfrow=c(1,2))
hist(ds.l); hist(dr.l)
par(mfrow=c(1,1))


###################################################
### code chunk number 4: lcc_2a.Rnw:54-57
###################################################
dset <- cbind(dset, dr.l=log(dset$dr+30), ds.l=log(dset$ds+30))
dc <- cbind(dc, dr.l=log(dc$dr+30), ds.l=log(dc$ds+30))
str(dset)


###################################################
### code chunk number 5: lcc_2a.Rnw:60-61
###################################################
detach(dc); attach(dc)


###################################################
### code chunk number 6: lcc_2a.Rnw:67-71
###################################################
glm.dr <- glm(changed ~ dr.l, family=binomial, data=dc)
summary(glm.dr)
d2(glm.dr)
logit.plot(glm.dr)


###################################################
### code chunk number 7: lcc_2a.Rnw:88-93
###################################################
glm.dr$coefficients
glm.dr$coefficients["(Intercept)"]
glm.dr$coefficients[1]
logit.inv(glm.dr$coefficients["(Intercept)"])
logit.inv(glm.dr$coefficients[1])


###################################################
### code chunk number 8: lcc_2a.Rnw:102-108
###################################################
glm.dr$coefficients["dr.l"]
glm.dr$coefficients[2]
logit.inv(glm.dr$coefficients["(Intercept)"] +
     log(3000+30)*glm.dr$coefficients["dr.l"])
logit.inv(glm.dr$coefficients[1] +
     log(3000+30)*glm.dr$coefficients[2])


###################################################
### code chunk number 9: lcc_2a.Rnw:125-130
###################################################
plot(dr.l, ds.l,
       xlab="log(distance to road)",
       ylab="log(distance to settlement)")
abline(h=mean(ds.l),lty=2); abline(v=mean(dr.l),lty=2)
cor.test(dr.l,ds.l)


###################################################
### code chunk number 10: lcc_2a.Rnw:148-152
###################################################
glm.dr.ds<-glm(changed ~ dr.l*ds.l, family="binomial", data=dc)
summary(glm.dr.ds)
d2(glm.dr.ds)
logit.plot(glm.dr.ds)


