### R code from vignette source 'lcc_3.Rnw'

###################################################
### code chunk number 1: lcc_3.Rnw:19-21
###################################################
options(prompt="> ", continue="+ ", digits=5, width=65, show.signif.stars=T)
par(mfrow=c(1,1))


###################################################
### code chunk number 2: lcc_3.Rnw:38-48
###################################################
par(mfrow=c(2,2))
plot(dr.l~t, xlab="land tenure class",
  ylab="log(distance to roads)", data=dc)
plot(ds.l~t, xlab="land tenure class",
  ylab="log(distance to settlements)", data=dc)
plot(dr.l~lspos, xlab="landscape position class",
  ylab="log(distance to roads)", data=dc)
plot(ds.l~lspos, xlab="landscape position class",
  ylab="log(distance to settlements)", data=dc)
par(mfrow=c(1,1))


###################################################
### code chunk number 3: lcc_3.Rnw:58-59
###################################################
lm.rt <- lm(dr.l~t, data=dc); summary(lm.rt)


###################################################
### code chunk number 4: lcc_3.Rnw:73-78
###################################################
glm.t.ls.drs <- glm(changed ~ t + lspos + dr.l*ds.l, family=binomial,
   data=dc)
summary(glm.t.ls.drs)
d2(glm.t.ls.drs)
logit.plot(glm.t.ls.drs)


###################################################
### code chunk number 5: lcc_3.Rnw:91-96
###################################################
glm.t.drs <- glm(changed ~ t + dr.l*ds.l, family=binomial,
    data=dc)
summary(glm.t.drs)
d2(glm.t.drs)
logit.plot(glm.t.drs)


###################################################
### code chunk number 6: lcc_3.Rnw:107-113
###################################################
par(mfrow=c(1,2))
logit.plot.quad(glm.t.drs)
r <- logit.roc(glm.t.drs, steps=100)
logit.roc.area(r)
logit.roc.plot(r, "ROC for tenure, roads, settlements")
par(mfrow=c(1,2))


###################################################
### code chunk number 7: lcc_3.Rnw:161-170
###################################################
attach(glm.t.drs)
coefficients
logit.inv(coefficients["(Intercept)"]
   + log(1500+30)*coefficients["dr.l"]
   + log(2500+30)*coefficients["ds.l"]
   + log(1500+30)*log(2500+30)*coefficients["dr.l:ds.l"]
   + coefficients["tNt"]
)
detach(glm.t.drs)


