### R code from vignette source 'lcc_ROC.Rnw'

###################################################
### code chunk number 1: lcc_ROC.Rnw:20-24
###################################################
options(prompt="> ", continue="+ ", digits=5, width=65, show.signif.stars=T)
par(mfrow=c(1,1))
# during previous processing (not reflected in the text) objects were saved here
# load("data/lcc.dc.RData")


###################################################
### code chunk number 2: lcc_ROC.Rnw:58-63
###################################################
length(glm.t$fitted)
summary(glm.t$fitted)
sum(glm.t$fitted>0.5)
sum(glm.t$fitted>0.65)
sum(dc$changed)


###################################################
### code chunk number 3: lcc_ROC.Rnw:76-78
###################################################
sum((glm.t$fitted > 0.5) & dc$changed)
(sens.5 <- sum((glm.t$fitted > 0.5) & dc$changed)/sum(dc$changed))


###################################################
### code chunk number 4: lcc_ROC.Rnw:95-99
###################################################
sum(!dc$changed)
sum((glm.t$fitted  < 0.5))
sum((glm.t$fitted < 0.5) & (!dc$changed))
(spec.5 <- sum((glm.t$fitted < 0.5) & (!dc$changed))/sum(!dc$changed))


###################################################
### code chunk number 5: lcc_ROC.Rnw:118-122
###################################################
(fp.5 <- sum((glm.t$fitted > 0.5) & !dc$changed)/sum(!dc$changed))
spec.5 + fp.5
(fn.5 <- sum((glm.t$fitted < 0.5) & dc$changed)/sum(dc$changed))
sens.5 + fn.5


###################################################
### code chunk number 6: lcc_ROC.Rnw:130-131 (eval = FALSE)
###################################################
## source("lcc.R")


###################################################
### code chunk number 7: lcc_ROC.Rnw:133-134
###################################################
source("code/lcc.R")


###################################################
### code chunk number 8: lcc_ROC.Rnw:141-142
###################################################
logit.plot.quad(glm.t)


###################################################
### code chunk number 9: lcc_ROC.Rnw:186-189
###################################################
r <- logit.roc(glm.t)
logit.roc.area(r)
logit.roc.plot(r, "ROC for prediction by land tenure")


###################################################
### code chunk number 10: lcc_ROC.Rnw:219-221
###################################################
glm.t$coefficients
logit.inv(glm.t$coefficients["(Intercept)"]+glm.t$coefficients["tCp"])


###################################################
### code chunk number 11: lcc_ROC.Rnw:231-232
###################################################
summary(changed[t=="Cp"])


###################################################
### code chunk number 12: lcc_ROC.Rnw:262-267
###################################################
p.change <-
     logit.inv(glm.t$coefficients["(Intercept)"]
               + ifelse(as.numeric(dc$t)==1, 0,
                        glm.t$coefficients[as.numeric(dc$t)]));
summary(p.change)


###################################################
### code chunk number 13: lcc_ROC.Rnw:274-276
###################################################
p.change <- fitted(glm.t);
summary(p.change)


###################################################
### code chunk number 14: lcc_ROC.Rnw:291-297
###################################################
t.all<-xtabs( ~ lspos + t, dc)
t.t<-xtabs((changed==T) ~ lspos + t, dc)
t.f<-xtabs((changed==F) ~ lspos + t, dc)
t.all; t.t; t.f
round(t.t/t.f, 3)
sum(t.t)/sum(t.f)


###################################################
### code chunk number 15: lcc_ROC.Rnw:314-316
###################################################
glm.ls.t<-glm(changed ~ lspos * t, family=binomial)
summary(glm.ls.t)


###################################################
### code chunk number 16: lcc_ROC.Rnw:321-324
###################################################
glm.ls.t<-glm(changed ~ lspos + t, family=binomial, data=dc)
summary(glm.ls.t)
d2(glm.ls.t)


